Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000564Core InformUnderstandingpublic2011-02-14 12:042014-05-07 07:35
Assigned Tograham 
Platformx86OSWindowsOS VersionXP
Product Version 
Target VersionFixed in Version6L02 
Summary0000564: Suggest enhanced problem message to indicate exact reason of failure when source is "understand... as <an object that varies>."
I came across the following error and it took me a bit to understand why the two commands in the example code (working vs. non-working) were fundamentally different. The existing error message was initially unhelpful to me because I thought the player was an existing object, not an object which varies.

It might be worth having a problem message specific to this case to help elucidate the exact nature of the problem.
Minimal Source Text To Reproduce
"Bug Demonstration" by Otis

Obligatory Starting Point is a room.

Understand "fooble" as the player.

[Understand "fooble" as yourself.]
Additional InformationThis is the report produced by Inform 7 (build 6G60) on its most recent run through:

Problem. You wrote 'Understand "fooble" as the player' : but 'understand ... as ...' should be followed by a meaning, which might be an action (e.g., 'understand "take [something]" as taking'), a thing ('understand "stove" as the oven') or more generally a value ('understand "huitante" as 80'), or a named token for use in further grammar ('understand "near [something]" as "[location phrase]"'). Also, the meaning needs to be precise, so 'understand "x" as a number' is not allowed - it does not say which number.

 See the manual: 16.1 > Understand
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
graham (administrator)
2011-10-15 09:45

A useful thing to pick up. I've added a more specific problem message here.

- Issue History
Date Modified Username Field Change
2011-02-14 12:04 otistdog New Issue
2011-02-22 16:09 jmcgrew Status new => acknowledged
2011-02-24 14:22 EmacsUser Status acknowledged => confirmed
2011-10-15 09:45 graham Note Added: 0001382
2011-10-15 09:45 graham Status confirmed => resolved
2011-10-15 09:45 graham Resolution open => fixed
2011-10-15 09:45 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:35 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker